import request from '@/utils/request'

// 查询模型评价详情列表
export function listDetails(query) {
  return request({
    url: '/ai/evaluateDetails/list',
    method: 'get',
    params: query
  })
}

// 查询模型评价详情详细
export function getDetails(id) {
  return request({
    url: '/ai/evaluateDetails/' + id,
    method: 'get'
  })
}

// 新增模型评价详情
export function addDetails(data) {
  return request({
    url: '/ai/evaluateDetails/add',
    method: 'post',
    data: data
  })
}

// 修改模型评价详情
export function updateDetails(data) {
  return request({
    url: '/ai/evaluateDetails/edit',
    method: 'post',
    data: data
  })
}

// 删除模型评价详情
export function delDetails(id) {
  return request({
    url: '/ai/evaluateDetails/delete/' + id,
    method: 'post'
  })
}
